%define enable_sound	1
%define enable_debugger	1
%define enable_joystick	1
%define enable_cheats	1
%define enable_static	0

Name:		stella
Version:	7.0
Release:	%mkrel 1
Summary:	An Atari 2600 Video Computer System emulator
License:	GPLv2+
Group:		Emulators
URL:		https://stella-emu.github.io/
Source0:	https://github.com/stella-emu/stella/releases/download/%{version}/%{name}-%{version}-src.tar.xz
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	desktop-file-utils

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was the most
popular home video game system of the early 1980's.  This emulator will run
most Atari ROM images, so that you can play your favorite old Atari 2600 games
on your PC.

%prep
%setup -q
%autopatch
sed -i -e "s@'docs/Changes.txt'@'%{_datadir}/doc/%{name}/Changes.txt'@g"  src/gui/WhatsNewDialog.cxx

%build
%set_build_flags
./configure --prefix=%{_prefix} --bindir=%{_bindir} --docdir=%{_datadir}/doc/%{name} --datadir=%{_datadir} --enable-debug \
%if %{enable_sound}
  --enable-sound \
%else
  --disable-sound \
%endif
%if %{enable_debugger}
  --enable-debugger \
%else
  --disable-debugger \
%endif
%if %{enable_joystick}
  --enable-joystick \
%else
  --disable-joystick \
%endif
%if %{enable_cheats}
  --enable-cheats \
%else
  --disable-cheats \
%endif
%if %{enable_static}
  --enable-static \
%else
  --enable-shared \
%endif
  --docdir=%{_docdir}/stella

%make_build LDFLAGS='-pthread -g'

%install
%make_install
rm -f %{buildroot}%{_docdir}/stella/README-SDL.txt

desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

%files
%{_docdir}/stella/*
%license License.txt
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Oct 07 2024 danf <danf> 7.0-1.mga10
+ Revision: 2104044
- Update to ver. 7.0

* Fri Jan 19 2024 danf <danf> 6.7.1-1.mga10
+ Revision: 2032209
- Update to 6.7.1

* Sat Sep 09 2023 danf <danf> 6.7-1.mga10
+ Revision: 1985432
- Update to ver. 6.7
- Incompatible update:
   - if you had custom mappings, they will need to be re-entered again.
   - state files are now invalid

* Fri Apr 01 2022 umeabot <umeabot> 6.6-2.mga9
+ Revision: 1839039
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 danf <danf> 6.6-1.mga9
+ Revision: 1775297
- Update to ver. 6.6
- This version uses sqlite3 to store configuration settings

* Thu Dec 31 2020 danf <danf> 6.4-1.mga8
+ Revision: 1666701
- Updated to ver. 6.4

* Wed Apr 22 2020 danf <danf> 6.1.1-1.mga8
+ Revision: 1571142
- Upgrade to 6.1.1.  Major changes include:
- Because of major event remapping changes, all remappings will be reset to
  defaults; if you had custom mappings, they will need to be re-entered again.
- Because of major internal changes, all state files are now invalid.

* Thu Mar 05 2020 danf <danf> 6.0.2-1.mga8
+ Revision: 1554204
- Upgraded to 6.0.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 04 2019 danf <danf> 6.0-1.mga7
+ Revision: 1349121
- Upgraded to 6.0
- The state file format has changed, and old state files will not work with this release.

* Sun Sep 23 2018 umeabot <umeabot> 5.0.2-2.mga7
+ Revision: 1301197
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 danf <danf> 5.0.2-1.mga7
+ Revision: 1160098
- Upgraded to 5.0.2
- The settings directory now uses the XDG Base Directory Specification.
  In most cases, this means that your files will now be stored in
  '~/.config/stella' instead of '~/.stella'.  To keep your old settings,
  run the following command from the terminal:
    mv ~/.stella ~/.config/stella
  You will probably need to edit '~/.config/stella/stellarc' and change
  some paths accordingly.
- Note: because of major TIA/6502/RIOT changes, the state file format
  has changed, and old state files will not work with this release.

* Fri May 13 2016 danf <danf> 4.7.2-1.mga6
+ Revision: 1014572
- Updated to ver. 4.7.2

* Tue Feb 16 2016 danf <danf> 4.7.1-1.mga6
+ Revision: 961838
- Updated to ver. 4.7.1

* Sat Jan 02 2016 danf <danf> 4.6.7-1.mga6
+ Revision: 918354
- Updated to ver. 4.6.7

* Sat Sep 12 2015 danf <danf> 4.6.1-2.mga6
+ Revision: 878332
- Added debuginfo.patch to include debug symbols

* Sun Jun 21 2015 danf <danf> 4.6.1-1.mga6
+ Revision: 837699
- Updated to ver. 4.6.1
- Removed obsolete configure options

* Wed Oct 15 2014 umeabot <umeabot> 4.1-3.mga5
+ Revision: 746068
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1-2.mga5
+ Revision: 689539
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 danf <danf> 4.1-1.mga5
+ Revision: 671123
- Upgraded to ver. 4.1. Major changes include:
  * Ported Stella to SDL2, which brings many new features. Hardware
    acceleration is now required, which means up-to-date drivers
    are needed.  Software rendering is still present, but is somewhat
    unoptimized and unsupported going forward.
  * Fullscreen video modes now use the desktop resolution.
  * TIA TV effects are now available in all video modes, since hardware
    acceleration is a requirement.
  * Removed 'uipalette' option, as the original palette is no longer supported.
  * Added support for 'DASH' and 'MDM' bankswitching schemes
  * Improved snapshot viewing in the ROM launcher
  * Improved support on multi-monitor systems.

* Fri May 30 2014 danf <danf> 3.9.3-1.mga5
+ Revision: 627826
- Upgraded to ver. 3.9.3. Major changes include:
- Added bankswitch schemes BF, BFSC, DF, DFSC and 4KSC
- Updated ROM properties for several ROMs
- Fixed program crash when specifying an unrecognized bankswitch type

* Mon Oct 21 2013 umeabot <umeabot> 3.9.2-2.mga4
+ Revision: 539199
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 danf <danf> 3.9.2-1.mga4
+ Revision: 491583
- updated to version 3.9.2
  - many bug fixes and improvements
  - the state file format has changed, so state files from older versions will
    not work with this release.
- removed .desktop file patches (merged upstream)

* Sun Jul 21 2013 danf <danf> 3.9-1.mga4
+ Revision: 456844
- updated to version 3.9
- added StartupNotify=true to .desktop file
- removed unneeded documentation files
- brought spec file up to Mageia standards
- imported package stella

